<?php
///////////////////////////////////////////////////
//2010 (C)
//Карпухин Павел
///////////////////////////////////////////////////
require_once "../utils/chlang.php";

$title=$titlepage = $TEXT['menu-btn37-title'];

require_once "../config_a.php";
require_once "../utils/functions.php";
require_once "../utils/top_adm_film.php";
//require_once "../utils/trans/".$lang.".php";

if(is_file ("../utils/trans/".$lang.".php")) {require_once "../utils/trans/".$lang.".php";}
 else {require_once "../utils/trans/ru.php";}

if($result2['administrator'] == 0) {puterror($result2['skin'],$TEXT['error-loginform2']); require_once "../utils/bottom_adm_film.php"; exit();}

if(empty($_POST['booklang'])) {puterror($result2['skin'],$TEXT['error-booklang1']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['booklang'])>255) {puterror($result2['skin'],$TEXT['error-booklang2']); require_once "../utils/bottom_adm_film.php"; exit();}
if(strlen($_POST['position'])>5) {puterror($result2['skin'],$TEXT['error-booklang10']); require_once "../utils/bottom_adm_film.php"; exit();}

if(isset($_POST['booklang'])) {$booklang=trim($_POST['booklang']);}
 else {$booklang ="";}
  if(empty($booklang)) {puterror($result2['skin'],$TEXT['error-spaces']); require_once "../utils/bottom_adm_film.php"; exit();}

$_POST['booklang'] = rep($_POST['booklang']);
$_POST['position'] = rep($_POST['position']);
$_POST['position'] = intval($_POST['position']);

$query10 = mysqli_query($dbcnx,"SELECT COUNT(`bl_id`) AS c_bl_id FROM `tbl_booklang` WHERE `booklang`='".$_POST['booklang']."' AND `use_prog`='2' ");
$result10 = mysqli_fetch_array($query10);
 if($result10['c_bl_id']>0) {puterror($result2['skin'],$TEXT['error-double']); require_once "../utils/bottom_adm.php"; exit();}

if($_FILES['photo']['size'] > 1024*2*1024) {puterror($result2['skin'],$TEXT['error-pic3']); require_once "../utils/bottom_adm_film.php"; exit();}

if(!empty($_FILES['photo']['tmp_name']))
 {
  $ext = strrchr($_FILES['photo']['name'], ".");
  $name = "sound_".translate($_POST['booklang']);
  $image = "../photo/$name".date("YmdHis",time())."$ext";

  if(copy($_FILES['photo']['tmp_name'], $image))
   {
    unlink($_FILES['photo']['tmp_name']);
    chmod($image, 0644);
   }
 }
 else {$image = "";}
    
  //*************************************
  //Информация для лога
  $ip = $_SERVER['REMOTE_ADDR'];
  $doing = $TEXT['log-booklang1'];
  $what = $_POST['booklang'];
  $who = $result2['familiya']." ".$result2['name'];
  //*************************************
  $query = "INSERT INTO `tbl_booklang` (
   `bl_id`,
   `booklang`,
   `picture`,
   `position`,
   `use_prog`)
    VALUES (
    NULL,
    '".$_POST['booklang']."',
    '$image',
    ".$_POST['position'].",
    '2')";

  if(mysqli_query($dbcnx,$query))
  {
    $query2 = "INSERT INTO tbl_logs ( `log_id` , `data` , `ip` , `who` , `doing` , `what` ) VALUES ( NULL , NOW() , '$ip' , '$who' , '$doing' , '$what')";
        if(mysqli_query($dbcnx,$query2))
           {
             echo "<html><head>
                   <meta HTTP-EQUIV='Refresh' CONTENT='0; URL=index.php' />
                   </head></html>";
           } else {puterror($result2['skin'],$TEXT['error-log']); require_once "../utils/bottom_adm_film.php"; exit();}
  } else {puterror($result2['skin'],$TEXT['error-tbl23']); require_once "../utils/bottom_adm_film.php"; exit();}
require_once "../utils/bottom_adm_film.php";
?>